Package com.emc.documentum.rest.wire

# Interface AnnotatedFieldSerializer<T>

Type Parameters:
  `T` - the writer type in XML, JSON or any other provider

All Superinterfaces:
  `AnnotatedFieldBindingProcessor`

All Known Implementing Classes:
  `AbstractFieldJsonSerializer`, `AbstractFieldXmlSerializer`, `DelayedFieldJsonSerializer`, `DelayedFieldXmlSerializer`, `EntryFieldJsonSerializer`, `EntryFieldXmlSerializer`, `ListFieldJsonSerializer`, `ListFieldXmlSerializer`, `MapFieldJsonSerializer`, `MapFieldXmlSerializer`, `NullFieldJsonSerializer`, `NullFieldXmlSerializer`, `ObjectFieldJsonSerializer`, `ObjectFieldXmlSerializer`, `SimpleDataFieldJsonSerializer`, `SimpleDataFieldXmlSerializer`

public interface AnnotatedFieldSerializer<T> extends AnnotatedFieldBindingProcessor
This is an interface for defining the behavior to serialize the serializable field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `serializable(Object fieldValue, SerializableFieldMeta fieldNode)`
  Check if the field value and field type is serializable by this serializer.
  `void`
  `serialize(T writer, Object fieldValue, SerializableFieldMeta fieldNode, org.springframework.http.MediaType mediaType, com.emc.documentum.rest.config.BindingConfig bindingConfig)`
  Serialize the field.

  ### Methods inherited from interface com.emc.documentum.rest.wire.AnnotatedFieldBindingProcessor

  `isCompatibleMediaType`

- ## Method Details

  - ### serialize

    void serialize(T writer, Object fieldValue, SerializableFieldMeta fieldNode, org.springframework.http.MediaType mediaType, com.emc.documentum.rest.config.BindingConfig bindingConfig)
    Serialize the field.
    Parameters:
      `writer` - message writer
      `fieldValue` - field value
      `fieldNode` - the serializable field meta
      `mediaType` - the target media type to serialize
      `bindingConfig` - the binding configuration

  - ### serializable

    boolean serializable(Object fieldValue, SerializableFieldMeta fieldNode)
    Check if the field value and field type is serializable by this serializer.
    Parameters:
      `fieldValue` - the field value
      `fieldNode` - the serializable field meta
    Returns:
      `true` if the field value is serializable; `false` otherwise.